Package org.springframework.transaction

# Interface ReactiveTransaction

All Superinterfaces:
  `TransactionExecution`

All Known Implementing Classes:
  `GenericReactiveTransaction`

public interface ReactiveTransaction extends TransactionExecution
Representation of an ongoing `ReactiveTransactionManager` transaction. This is currently a marker interface extending `TransactionExecution` but may acquire further methods in a future revision.

Transactional code can use this to retrieve status information, and to programmatically request a rollback (instead of throwing an exception that causes an implicit rollback).

Since:
  5.2
Author:
  Mark Paluch, Juergen Hoeller
See Also:
  - `TransactionExecution.setRollbackOnly()`
  - `ReactiveTransactionManager.getReactiveTransaction(org.springframework.transaction.TransactionDefinition)`
  - `TransactionCallback.doInTransaction(org.springframework.transaction.ReactiveTransaction)`

## Method Summary

### Methods inherited from interface org.springframework.transaction.TransactionExecution

`getTransactionName, hasTransaction, isCompleted, isNested, isNewTransaction, isReadOnly, isRollbackOnly, setRollbackOnly`